package cn.com.poc.equity.entity;	


public class BizMemberEquityPayOrderLogEntity {

    private static final long serialVersionUID = 1L;
	/** id
    *
    */ 
    private java.lang.Long id;

    public java.lang.Long getId(){
        return this.id;
    }
    
    public void setId(java.lang.Long id){
        this.id = id;
    }
	/** member_id
    *用户id
    */ 
    private java.lang.Long memberId;

    public java.lang.Long getMemberId(){
        return this.memberId;
    }
    
    public void setMemberId(java.lang.Long memberId){
        this.memberId = memberId;
    }
	/** pay_order_sn
    *订单号
    */ 
    private java.lang.String payOrderSn;

    public java.lang.String getPayOrderSn(){
        return this.payOrderSn;
    }
    
    public void setPayOrderSn(java.lang.String payOrderSn){
        this.payOrderSn = payOrderSn;
    }
	/** pay_amout
    *支付金额 - 分
    */ 
    private java.lang.Integer payAmount;

    public java.lang.Integer getPayAmount(){
        return this.payAmount;
    }
    
    public void setPayAmount(java.lang.Integer payAmount){
        this.payAmount = payAmount;
    }
	/** currency
    *货币
    */ 
    private java.lang.String currency;

    public java.lang.String getCurrency(){
        return this.currency;
    }
    
    public void setCurrency(java.lang.String currency){
        this.currency = currency;
    }
	/** type
    *类型 normal-普通 professional-专业版 ， ultimate-旗舰版
    */ 
    private java.lang.String type;

    public java.lang.String getType(){
        return this.type;
    }
    
    public void setType(java.lang.String type){
        this.type = type;
    }
	/** domain
    *资源包领域 point-积分包 equity-权益包
    */ 
    private java.lang.String domain;

    public java.lang.String getDomain(){
        return this.domain;
    }
    
    public void setDomain(java.lang.String domain){
        this.domain = domain;
    }

    /**
     *
     * 获得积分数
     */
    private java.lang.Long totalPoints;

    public Long getTotalPoints() {
        return totalPoints;
    }

    public void setTotalPoints(Long totalPoints) {
        this.totalPoints = totalPoints;
    }

    /** expired_num
    *过期数
    */ 
    private java.lang.Integer expiredNum;

    public java.lang.Integer getExpiredNum(){
        return this.expiredNum;
    }
    
    public void setExpiredNum(java.lang.Integer expiredNum){
        this.expiredNum = expiredNum;
    }
	/** expired_type
    *套餐过期类型   day-天 month-月 year-年 indefinite-无限期
    */ 
    private java.lang.String expiredType;

    public java.lang.String getExpiredType(){
        return this.expiredType;
    }
    
    public void setExpiredType(java.lang.String expiredType){
        this.expiredType = expiredType;
    }
	/** pay_channel
    *支付渠道: wx-微信 ali-支付宝
    */ 
    private java.lang.String payChannel;

    public java.lang.String getPayChannel(){
        return this.payChannel;
    }
    
    public void setPayChannel(java.lang.String payChannel){
        this.payChannel = payChannel;
    }
	/** pay_time
    *付款时间
    */ 
    private java.util.Date payTime;

    public java.util.Date getPayTime(){
        return this.payTime;
    }
    
    public void setPayTime(java.util.Date payTime){
        this.payTime = payTime;
    }
	/** is_deleted
    *是否删除 Y 是  N 否
    */ 
    private java.lang.String isDeleted;

    public java.lang.String getIsDeleted(){
        return this.isDeleted;
    }
    
    public void setIsDeleted(java.lang.String isDeleted){
        this.isDeleted = isDeleted;
    }
	/** CREATOR
    *创建人
    */ 
    private java.lang.String creator;

    public java.lang.String getCreator(){
        return this.creator;
    }
    
    public void setCreator(java.lang.String creator){
        this.creator = creator;
    }
	/** CREATED_TIME
    *创建时间
    */ 
    private java.util.Date createdTime;

    public java.util.Date getCreatedTime(){
        return this.createdTime;
    }
    
    public void setCreatedTime(java.util.Date createdTime){
        this.createdTime = createdTime;
    }
	/** MODIFIER
    *修改人
    */ 
    private java.lang.String modifier;

    public java.lang.String getModifier(){
        return this.modifier;
    }
    
    public void setModifier(java.lang.String modifier){
        this.modifier = modifier;
    }
	/** MODIFIED_TIME
    *修改时间
    */ 
    private java.util.Date modifiedTime;

    public java.util.Date getModifiedTime(){
        return this.modifiedTime;
    }
    
    public void setModifiedTime(java.util.Date modifiedTime){
        this.modifiedTime = modifiedTime;
    }
	/** SYS_VERSION
    *乐观锁,版本号
    */ 
    private java.lang.Integer sysVersion;

    public java.lang.Integer getSysVersion(){
        return this.sysVersion;
    }
    
    public void setSysVersion(java.lang.Integer sysVersion){
        this.sysVersion = sysVersion;
    }
}